cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/items/ITEM-0001/notes/note_8a1f2b3c4d5e6f708192a3b4c5d6e7f8" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.items.get_item_note(
"ITEM-0001", "note_8a1f2b3c4d5e6f708192a3b4c5d6e7f8"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.items.getItemNote('ITEM-0001', 'note_8a1f2b3c4d5e6f708192a3b4c5d6e7f8');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->items->getItemNote('ITEM-0001', 'note_8a1f2b3c4d5e6f708192a3b4c5d6e7f8');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.items.items_dto.ItemsDto.NoteView;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<NoteView> response = client.items().getItemNote("ITEM-0001", "note_8a1f2b3c4d5e6f708192a3b4c5d6e7f8");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Items.GetItemNoteAsync(
"ITEM-0001",
"note_8a1f2b3c4d5e6f708192a3b4c5d6e7f8");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.items.getItemNote(
'ITEM-0001',
'note_8a1f2b3c4d5e6f708192a3b4c5d6e7f8',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Items().GetItemNote(context.Background(), "ITEM-0001", "note_8a1f2b3c4d5e6f708192a3b4c5d6e7f8", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note": {
"object": "<string>",
"id": "<string>",
"content": "<string>",
"version": 123,
"href": "<string>",
"created_on": "<string>",
"created_by": {
"object": "<string>",
"name": "<string>",
"id": "<string>",
"email": "<string>",
"href": "<string>"
},
"item": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"attachments": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>",
"content_type": "<string>",
"filename": "<string>",
"size": 123,
"uuid": "<string>"
}
],
"watchers": [
{
"email": "<string>",
"name": "<string>",
"type": "<string>"
}
],
"group": "<unknown>",
"user": "<unknown>",
"last_updated_on": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
}
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Items
Retrieve an item note
Returns one note on an item, under note.
GET
/
items
/
{item_id}
/
notes
/
{note_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/items/ITEM-0001/notes/note_8a1f2b3c4d5e6f708192a3b4c5d6e7f8" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.items.get_item_note(
"ITEM-0001", "note_8a1f2b3c4d5e6f708192a3b4c5d6e7f8"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.items.getItemNote('ITEM-0001', 'note_8a1f2b3c4d5e6f708192a3b4c5d6e7f8');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->items->getItemNote('ITEM-0001', 'note_8a1f2b3c4d5e6f708192a3b4c5d6e7f8');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.items.items_dto.ItemsDto.NoteView;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<NoteView> response = client.items().getItemNote("ITEM-0001", "note_8a1f2b3c4d5e6f708192a3b4c5d6e7f8");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Items.GetItemNoteAsync(
"ITEM-0001",
"note_8a1f2b3c4d5e6f708192a3b4c5d6e7f8");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.items.getItemNote(
'ITEM-0001',
'note_8a1f2b3c4d5e6f708192a3b4c5d6e7f8',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Items().GetItemNote(context.Background(), "ITEM-0001", "note_8a1f2b3c4d5e6f708192a3b4c5d6e7f8", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note": {
"object": "<string>",
"id": "<string>",
"content": "<string>",
"version": 123,
"href": "<string>",
"created_on": "<string>",
"created_by": {
"object": "<string>",
"name": "<string>",
"id": "<string>",
"email": "<string>",
"href": "<string>"
},
"item": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"attachments": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>",
"content_type": "<string>",
"filename": "<string>",
"size": 123,
"uuid": "<string>"
}
],
"watchers": [
{
"email": "<string>",
"name": "<string>",
"type": "<string>"
}
],
"group": "<unknown>",
"user": "<unknown>",
"last_updated_on": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
}
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Returns the note with its
content, attachments and watchers under note.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The item's id, such as ITEM-0001. Not its uuid.
The note's id.
Response
The note, under note.
Show child attributes
Show child attributes